default: photdbc
help:
	@echo "make options: photdbc (default)"

include ../../Makefile.System
HOME    =       $(ROOT)/src/photdbc
BIN	=	$(HOME)/bin
LIB	=	$(HOME)/lib
SRC	=	$(HOME)/src
MAN	=	$(HOME)/doc
INC	= 	$(HOME)/include
include ../../Makefile.Common

# programs may add their own internal requirements here
FULL_CFLAGS   = $(BASE_CFLAGS)
FULL_CPPFLAGS = $(BASE_CPPFLAGS)
FULL_LDFLAGS  = -ldvo -lFITS -lohana $(BASE_LDFLAGS)

photdbc: $(BIN)/photdbc.$(ARCH)
install: $(DESTBIN)/photdbc

PHOTDBC = \
$(SRC)/photdbc.$(ARCH).o	   \
$(SRC)/initialize.$(ARCH).o	   \
$(SRC)/ConfigInit.$(ARCH).o	   \
$(SRC)/args.$(ARCH).o		   \
$(SRC)/copy_images.$(ARCH).o	   \
$(SRC)/Shutdown.$(ARCH).o          \
$(SRC)/join_stars.$(ARCH).o        \
$(SRC)/make_subcatalog.$(ARCH).o        

OLD = \
$(SRC)/liststats.$(ARCH).o	   \
$(SRC)/name_region.$(ARCH).o	   \
$(SRC)/find_images.$(ARCH).o	   \
$(SRC)/find_regions.$(ARCH).o	   \
$(SRC)/get_regions.$(ARCH).o	   \
$(SRC)/load_catalogs.$(ARCH).o	   \
$(SRC)/gcatalog.$(ARCH).o 	   \
$(SRC)/unique_measures.$(ARCH).o   \
$(SRC)/flag_measures.$(ARCH).o     \
$(SRC)/get_mags.$(ARCH).o          \
$(SRC)/check_directory.$(ARCH).o   \
$(SRC)/overlap_funcs.$(ARCH).o     \
$(SRC)/image-db.$(ARCH).o          \
$(SRC)/check_permissions.$(ARCH).o \
$(SRC)/misc.$(ARCH).o		   \
$(SRC)/SetSignals.$(ARCH).o        \
$(SRC)/Shutdown.$(ARCH).o          \
$(SRC)/wcatalog.$(ARCH).o


$(PHOTDBC): $(INC)/photdbc.h
$(BIN)/photdbc.$(ARCH): $(PHOTDBC)
